Subject: Re: [PATCH net V2 12/12] net/mlx5: SD, Handle possible devcom ERR_PTR

From: Jakub Kicinski <[email-masked]>
Date: Wed, 10 Apr 2024 19:52:46 -0700

On Wed, 10 Apr 2024 21:16:37 +0300 Tariq Toukan wrote:
> Touching mlx5_devcom_register_component() as a fix for commit 
> d3d057666090 ("net/mlx5: SD, Implement devcom communication and primary 
> election") doesn't look right to me.
> In addition, I prefer minimal fixes to net.
> 
> After this one is accepted to net, we can enhance the code in a followup 
> patch to net-next.

I think the official guidance from Greg is "fix it right, worry about
size of the change when stable backport fails".
mlx5_devcom_register_component() has 4 callers, please follow Dan's advice.
I'll apply other 11 patches.